package com.kingdee.eas.custom.recuritment.task;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;
import java.lang.String;



public abstract class AbstractRecuritmentFacadeControllerBean extends AbstractBizControllerBean implements RecuritmentFacadeController
{
    protected AbstractRecuritmentFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("38763AD7");
    }

    public void syncRecuritmentToBeisen(Context ctx, String billId) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("94c839a0-2597-4db8-bdcb-6bafa4ec4020"), new Object[]{ctx, billId});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _syncRecuritmentToBeisen(ctx, billId);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _syncRecuritmentToBeisen(Context ctx, String billId) throws BOSException, EASBizException
    {    	
        return;
    }

    public void updateRecuritment(Context ctx, String startDate, String endDate, int offset) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("5e3367bc-8f3f-402a-9d0e-fd2a4cee05e2"), new Object[]{ctx, startDate, endDate, new Integer(offset)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _updateRecuritment(ctx, startDate, endDate, offset);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _updateRecuritment(Context ctx, String startDate, String endDate, int offset) throws BOSException, EASBizException
    {    	
        return;
    }

    public void syncBeisenResume(Context ctx, String applyId) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("eb601c63-52f8-4b53-8d00-2639a80dadff"), new Object[]{ctx, applyId});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _syncBeisenResume(ctx, applyId);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _syncBeisenResume(Context ctx, String applyId) throws BOSException, EASBizException
    {    	
        return;
    }

}